CVE-2006-0334
CVSS4.3
发布时间 :2006-01-20 19:03:00
修订时间 :2011-03-07 21:29:48
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in search.php in My Amazon Store Manager 1.0 allows remote attackers to inject arbitrary web script or HTML via the Keywords parameter. NOTE: some sources claim that the affected parameter is "q", but the only public archive of the original researcher notification shows an XSS manipulation in "Keywords".


[CNNVD]My Amazon Store Manager Search.PHP跨站脚本攻击漏洞(CNNVD-200601-252)

        My Amazon Store Manager 1.0的search.php中存在跨站脚本攻击(XSS)漏洞,远程攻击者可以通过Keywords参数注入任意Web脚本或HTML。注意:某些消息来源声称受影响的参数是"q",但原始研究者通知的唯一公共归档显示了"Keywords"中的XSS操作。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0334
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0334
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200601-252
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/24230
(UNKNOWN)  XF  masm-search-xss(24230)
http://www.vupen.com/english/advisories/2006/0252
(UNKNOWN)  VUPEN  ADV-2006-0252
http://www.securityfocus.com/bid/16312
(UNKNOWN)  BID  16312
http://www.osvdb.org/22626
(UNKNOWN)  OSVDB  22626
http://secunia.com/advisories/18535
(VENDOR_ADVISORY)  SECUNIA  18535
http://osvdb.org/ref/22/22626-my_amazon.txt
(UNKNOWN)  MISC  http://osvdb.org/ref/22/22626-my_amazon.txt

- 漏洞信息

My Amazon Store Manager Search.PHP跨站脚本攻击漏洞
中危 跨站脚本
2006-01-20 00:00:00 2006-05-01 00:00:00
远程  
        My Amazon Store Manager 1.0的search.php中存在跨站脚本攻击(XSS)漏洞,远程攻击者可以通过Keywords参数注入任意Web脚本或HTML。注意:某些消息来源声称受影响的参数是"q",但原始研究者通知的唯一公共归档显示了"Keywords"中的XSS操作。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本。

- 漏洞信息

22626
My Amazon Store Manager search.php q Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

My Amazon Store Manager contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'q' variable upon submission to the 'search.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-01-18 Unknow
2006-01-18 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站